Get history
curl --request GET \
--url https://api.moralis-streams.com/history \
--header 'x-api-key: <api-key>'import requests
url = "https://api.moralis-streams.com/history"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.moralis-streams.com/history', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"result": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"date": "2023-11-07T05:31:56Z",
"tinyPayload": {
"chainId": "<string>",
"confirmed": true,
"block": "<string>",
"records": 123,
"retries": 123
},
"errorMessage": "<string>",
"webhookUrl": "<string>",
"streamId": "<string>",
"payload": {
"block": {
"number": "<string>",
"hash": "<string>",
"timestamp": "<string>"
},
"chainId": "<string>",
"logs": [
{
"logIndex": "<string>",
"transactionHash": "<string>",
"address": "<string>",
"data": "<string>",
"topic0": "<string>",
"topic1": "<string>",
"topic2": "<string>",
"topic3": "<string>",
"triggers": [
{
"value": "<unknown>",
"name": "<string>"
}
],
"triggered_by": [
"<string>"
]
}
],
"txs": [
{
"hash": "<string>",
"gas": "<string>",
"gasPrice": "<string>",
"nonce": "<string>",
"input": "<string>",
"transactionIndex": "<string>",
"fromAddress": "<string>",
"toAddress": "<string>",
"value": "<string>",
"type": "<string>",
"v": "<string>",
"r": "<string>",
"s": "<string>",
"receiptCumulativeGasUsed": "<string>",
"receiptGasUsed": "<string>",
"receiptContractAddress": "<string>",
"receiptRoot": "<string>",
"receiptStatus": "<string>",
"triggers": [
{
"value": "<unknown>",
"name": "<string>"
}
],
"triggered_by": [
"<string>"
],
"transactionFee": "<string>"
}
],
"txsInternal": [
{
"from": "<string>",
"to": "<string>",
"value": "<string>",
"transactionHash": "<string>",
"gas": "<string>",
"triggered_by": [
"<string>"
]
}
],
"abi": [
{}
],
"retries": 123,
"confirmed": true,
"tag": "<string>",
"streamId": "<string>"
},
"tag": "<string>"
}
],
"total": 123,
"cursor": "<string>"
}History
Get History
Get all history
GET
/
history
Get history
Authorizations
Query Parameters
⌘I

